## org.apache.aries.subsystem.core.archive
Class VersionHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractHeader
          org.apache.aries.subsystem.core.archive.VersionHeader

All Implemented Interfaces:
  Header

Direct Known Subclasses:
  BundleManifestVersionHeader, BundleVersionHeader, ManifestVersionHeader, SubsystemManifestVersionHeader, SubsystemVersionHeader

    public abstract class VersionHeader

extends AbstractHeader

Field Summary
`protected org.osgi.framework.Version` `version`

Fields inherited from class org.apache.aries.subsystem.core.archive.AbstractHeader
`clauses, name, PATTERN, REGEX, value`

Constructor Summary
`VersionHeader(String name, String value)`
`VersionHeader(String name, org.osgi.framework.Version value)`

Method Summary
`org.osgi.framework.Version` `getVersion()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractHeader
`appendResource, getClauses, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    protected final org.osgi.framework.Version version

Constructor Detail

### VersionHeader

    public VersionHeader(String name,
                         String value)

### VersionHeader

    public VersionHeader(String name,
                         org.osgi.framework.Version value)

Method Detail

### getVersion

    public org.osgi.framework.Version getVersion()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.